Skip to main content
GET
List a fleet's SAFER authority revocations
Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

fleet_id
string<uuid> | null

Look up the fleet using Catena's fleet ID. For your own fleet identifiers, use fleet_ref instead

fleet_ref
string | null

Look up the fleet using your organization's fleet reference identifier.

connection_id
string<uuid> | null

Look up the fleet using a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

vehicle_id
string<uuid> | null

Look up the fleet that operates this vehicle, using Catena's vehicle ID.

vin
string | null

Look up the fleet that operates the vehicle with this VIN.

Response

Successful Response

id
string<uuid>
required
registry
enum<string>
required

Registry/authority that maintains the carrier record

Available options:
fmcsa
authority_number
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
fleet_registry_id
string | null
license_type
enum<string> | null

Type of operating license subject to a revocation action

Available options:
common,
contract,
broker
order_served_date
string<date> | null
revocation_type
enum<string> | null

Whether a revocation was initiated by the carrier or the authority

Available options:
involuntary,
voluntary
effective_date
string<date> | null